pcl::RangeImageBorderExtractor::Parameters Struct Reference

Parameters used in this class. More...

`#include <pcl/features/range_image_border_extractor.h>`

## Public Member Functions

| Parameters ()

## Public Attributes

int | max_no_of_threads
int | pixel_radius_borders
int | pixel_radius_plane_extraction
int | pixel_radius_border_direction
float | minimum_border_probability
int | pixel_radius_principal_curvature

## Detailed Description

Parameters used in this class.

Definition at line 92 of file range_image_border_extractor.h.

## Constructor & Destructor Documentation

pcl::RangeImageBorderExtractor::Parameters::Parameters | ( |  | ) |

inline

Definition at line 94 of file range_image_border_extractor.h.

## Member Data Documentation

int pcl::RangeImageBorderExtractor::Parameters::max_no_of_threads

Definition at line 96 of file range_image_border_extractor.h.

float pcl::RangeImageBorderExtractor::Parameters::minimum_border_probability

Definition at line 100 of file range_image_border_extractor.h.

Referenced by pcl::RangeImageBorderExtractor::changeScoreAccordingToShadowBorderValue(), pcl::RangeImageBorderExtractor::checkPotentialBorder(), pcl::operator<<(), and pcl::RangeImageBorderExtractor::updatedScoreAccordingToNeighborValues().

int pcl::RangeImageBorderExtractor::Parameters::pixel_radius_border_direction

Definition at line 99 of file range_image_border_extractor.h.

Referenced by pcl::operator<<().

int pcl::RangeImageBorderExtractor::Parameters::pixel_radius_borders

Definition at line 97 of file range_image_border_extractor.h.

Referenced by pcl::RangeImageBorderExtractor::changeScoreAccordingToShadowBorderValue(), pcl::RangeImageBorderExtractor::checkIfMaximum(), pcl::RangeImageBorderExtractor::checkPotentialBorder(), and pcl::operator<<().

int pcl::RangeImageBorderExtractor::Parameters::pixel_radius_plane_extraction

Definition at line 98 of file range_image_border_extractor.h.

Referenced by pcl::operator<<().

int pcl::RangeImageBorderExtractor::Parameters::pixel_radius_principal_curvature

Definition at line 101 of file range_image_border_extractor.h.

Referenced by pcl::operator<<().

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/features/include/pcl/features/range_image_border_extractor.h